@import "@/styles/variables";

.button-scroll {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem 0;
    width: 2rem;
    height: 2rem;
    z-index: 160;
    cursor: pointer;
    border-radius: $border-radius;

    @include scroll-nav-shadow;

    @include notebook {
        padding: 1.6rem 0;
        width: 4rem;
        height: 4rem;
    }

    &-color_primary {
        background-color: $primary-color-dark;
    }

    &-color_secondary {
        background-color: $secondary-color;
    }

    &-color_outline-secondary {
        background-color: transparent;
        border: 1px solid $secondary-color;
        color: $secondary-color;

        &:hover {
            background-color: $secondary-color;

            svg {
                fill: $white;
            }
        }
    }

    &-color_outline-gray {
        background-color: transparent;
        border: 1px solid $gray-light;
        color: $black;

        &:hover {
            background-color: $gray-dark;
            color: $white;

            svg {
                fill: $white;
            }
        }
    }

    &-color_transparent {
        color: $secondary-color;
        background-color: transparent;
    }
}
